/**
 * Date:            Time:       User:               Description:
 * 19.03.2006       11:58       Smart Max           creation of the file TestSuite.java
 *
 */
package org.max;

import junit.framework.TestSuite;
import junit.framework.Test;

import org.max.xml.index.*;
import org.max.trie.impl.*;

/**
 * TestSuite
 */
public class TestAll extends TestSuite {
    public static Test suite() {
        TestSuite suite = new TestSuite();

        suite.addTestSuite(BlockTest.class);
        suite.addTestSuite(PatriciaTrieDeserializerTest.class);
        suite.addTestSuite(PatriciaTrieDividerTest.class);
        suite.addTestSuite(PatriciaTrieSerializerTest.class);
        suite.addTestSuite(PatriciaTrieTest.class);

        suite.addTestSuite(IndexFabricTest.class);
        suite.addTestSuite(PathBuilderTest.class);
        suite.addTestSuite(XMLBuilderTest.class);
        suite.addTestSuite(XMLRetrieverTest.class);

        return suite;
    }
}
